Subject: Re: [PATCH net v4 1/3] net: phylink: add phylink_expects_phy() method

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 30 Mar 2023 09:48:29 +0100

On Thu, Mar 30, 2023 at 04:39:58PM +0800, Michael Sit Wei Hong wrote:
> Provide phylink_expects_phy() to allow MAC drivers to check if it
> is expecting a PHY to attach to. Since fixed-linked setups do not
> need to attach to a PHY.
> 
> Provides a boolean value as to if the MAC should expect a PHY.
> returns true if a PHY is expected.
> 
> Signed-off-by: Michael Sit Wei Hong <[email-masked]>
> ---
>  drivers/net/phy/phylink.c | 17 +++++++++++++++++
>  include/linux/phylink.h   |  1 +
>  2 files changed, 18 insertions(+)
> 
> diff --git a/drivers/net/phy/phylink.c b/drivers/net/phy/phylink.c
> index 1a2f074685fa..4c080656e280 100644
> --- a/drivers/net/phy/phylink.c
> +++ b/drivers/net/phy/phylink.c
> @@ -1586,6 +1586,23 @@ void phylink_destroy(struct phylink *pl)
>  }
>  EXPORT_SYMBOL_GPL(phylink_destroy);
>  
> +/**
> + * phylink_expects_phy() - Determine if phylink expects a phy to be attached
> + * @pl: a pointer to a &struct phylink returned from phylink_create()
> + *
> + * Fixed-link mode does not need a PHY, returns a boolean value to check if
> + * phylink will be expecting a PHY to attach.

This description could be clearer (for example, it isn't just about
fixed-link mode), but apart from that, it's good. I don't think that's
a reason to delay this any further, but please follow-up with a patch
to improve this description.

Reviewed-by: Russell King (Oracle) <[email-masked]>

Thanks!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!